/// <reference types="node" />
import ObjectID from 'bson-objectid';
import { Entity } from '../../common/entity.base';
import { ActivityPub } from './types';
type ActorData = {
    username: string;
    preferredUsername?: string;
    publicKey: string;
    privateKey: string;
};
type CreateActorData = ActorData & {
    id?: ObjectID;
};
export declare class Actor extends Entity<ActorData> {
    get username(): string;
    getJSONLD(url: URL): ActivityPub.Actor & ActivityPub.RootObject;
    static create(data: CreateActorData): Actor;
}
export {};
