/// <reference types="node" />
import { ActorRepository } from './actor.repository';
import ObjectID from 'bson-objectid';
export declare class JSONLDService {
    private repository;
    private url;
    constructor(repository: ActorRepository, url: URL);
    getActor(id: ObjectID): Promise<(import("./types").ActivityPub.RootObject & {
        inbox: string;
        outbox: string;
        username?: string | undefined;
        preferredUsername?: string | undefined;
        publicKey?: {
            id: string;
            owner: string;
            publicKeyPem: string;
        } | undefined;
    }) | undefined>;
    getPublicKey(owner: ObjectID): Promise<{
        id: string;
        owner: string;
        publicKeyPem: string;
    } | undefined>;
    getOutbox(owner: ObjectID): Promise<{
        '@context': string;
        id: string;
        summary: string;
        type: string;
        totalItems: number;
        orderedItems: {
            type: string;
            actor: string;
            to: string[];
            object: {
                type: string;
                name: string;
                content: string;
                attributedTo: string;
                to: string[];
            };
        }[];
    } | null>;
}
