"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.JSONLDService = void 0;
const common_1 = require("@nestjs/common");
let JSONLDService = class JSONLDService {
    repository;
    url;
    constructor(repository, url) {
        this.repository = repository;
        this.url = url;
    }
    async getActor(id) {
        const actor = await this.repository.getOne(id);
        return actor?.getJSONLD(this.url);
    }
    async getPublicKey(owner) {
        const actor = await this.repository.getOne(owner);
        return actor?.getJSONLD(this.url).publicKey;
    }
    async getOutbox(owner) {
        const actor = await this.repository.getOne(owner);
        if (!actor) {
            return null;
        }
        const json = actor.getJSONLD(this.url);
        return {
            '@context': 'https://www.w3.org/ns/activitystreams',
            id: json.outbox,
            summary: `Outbox for ${actor.username}`,
            type: 'OrderedCollection',
            totalItems: 1,
            orderedItems: [{
                    type: 'Create',
                    actor: json.id,
                    to: [
                        'https://www.w3.org/ns/activitystreams#Public'
                    ],
                    object: {
                        type: 'Note',
                        name: 'My First Note',
                        content: '<p>Hello, world!</p>',
                        attributedTo: json.id,
                        to: [
                            'https://www.w3.org/ns/activitystreams#Public'
                        ]
                    }
                }]
        };
    }
};
exports.JSONLDService = JSONLDService;
exports.JSONLDService = JSONLDService = __decorate([
    __param(0, (0, common_1.Inject)('ActorRepository')),
    __param(1, (0, common_1.Inject)('ActivityPubBaseURL')),
    __metadata("design:paramtypes", [Object, URL])
], JSONLDService);
//# sourceMappingURL=jsonld.service.js.map