export declare namespace ActivityPub {
    type AnonymousObject = {
        '@context': string | string[];
        id: null;
        type: string | string[];
    };
    type RootObject = {
        '@context': string | string[];
        id: string;
        type: string | string[];
    };
    type Object = RootObject | AnonymousObject;
    type Actor = ActivityPub.Object & {
        inbox: string;
        outbox: string;
        username?: string;
        preferredUsername?: string;
        publicKey?: {
            id: string;
            owner: string;
            publicKeyPem: string;
        };
    };
}
