import { JSONLDService } from '../../../core/activitypub/jsonld.service';
export declare class ActivityPubController {
    private readonly service;
    constructor(service: JSONLDService);
    getActor(id: unknown): Promise<(import("../../../core/activitypub/types").ActivityPub.RootObject & {
        inbox: string;
        outbox: string;
        username?: string | undefined;
        preferredUsername?: string | undefined;
        publicKey?: {
            id: string;
            owner: string;
            publicKeyPem: string;
        } | undefined;
    }) | undefined>;
    getKey(owner: unknown): Promise<{
        id: string;
        owner: string;
        publicKeyPem: string;
    } | undefined>;
    getOutbox(owner: unknown): Promise<{
        '@context': string;
        id: string;
        summary: string;
        type: string;
        totalItems: number;
        orderedItems: {
            type: string;
            actor: string;
            to: string[];
            object: {
                type: string;
                name: string;
                content: string;
                attributedTo: string;
                to: string[];
            };
        }[];
    } | null>;
}
